<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotPluginMetadata;

use UnexpectedValueException;




class PluginType
{
    


    const UNKNOWN_PLUGIN = 0;
    


    const REELS = 1;
    


    const SEARCH = 2;

    private static $valueToName = [
        self::UNKNOWN_PLUGIN => 'UNKNOWN_PLUGIN',
        self::REELS => 'REELS',
        self::SEARCH => 'SEARCH',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

